<?php

class CI_Consultar {
    public function conexion($serverName, $dbname, $user, $pass){


        try{
            $Info = array( "Database"=>$dbname, "UID"=>$user, "PWD"=>$pass);
            $conn = sqlsrv_connect($serverName, $Info );
            if(!$conn)
            {
                echo 'Fallo la Conexión';
                die(print_r(sqlsrv_errors(),true));
            }
        }catch(Exception $e)
        {
            return $e;
        }
        return $conn;
    }

    //Consultar procedimiento almacenado y retornar valores
    public function consultarsp($NameProcedure,$conn){
        try{

            $consulta = $NameProcedure;
            $ejecutar = sqlsrv_query($conn,$consulta);
            if ($ejecutar) 
            {
                $datos=array();
				
                while($fila = sqlsrv_fetch_array($ejecutar))
                {	
                    array_push($datos,$fila);
                }

            }else
            {
                
                die(print_r(sqlsrv_errors(), true));  
            }  
                    
            return $datos;
            sqlsrv_free_stmt($ejecutar);  
            sqlsrv_close($conn);
        
        }catch(Exception $e)
        {
            sqlsrv_free_stmt($ejecutar);  
            sqlsrv_close($conn);
            return $e;
        }
    }

          
   
}
